kcapi_rng_generate
Prev | Random Number API | Next

## Name

kcapi_rng_generate — generate a random number

## Synopsis

`int32_t kcapi_rng_generate (` | struct kcapi_handle * handle,
| uint8_t * buffer,
| uint32_t len`)`;

## Arguments

`handle`

  [in] cipher handle

`buffer`

  [out] filled with the random number

`len`

  [in] buffer length

## Description

`return` size of random number generated upon success; -EIO - data cannot be obtained

Prev | Up | Next
kcapi_rng_seed | Home | kcapi_rng_seedsize